playMaker

Author Topic: GetRotationAdvanced  (Read 754 times)

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 12342
  • Official Playmaker Support
    • View Profile
GetRotationAdvanced
« on: October 27, 2015, 03:01:46 AM »
Hi Everyone,

 Quick new action to beef up the "advanced" custom actions, so that now you can get the rotation of a GameObject and define when to get it, useful when you get bad camera behavior and when tracking physics GameObject.

 It's on the Ecosystem or below

GetRotationAdvanced



 Bye,

 Jean

Nog

  • Playmaker Newbie
  • *
  • Posts: 47
    • View Profile
Re: GetRotationAdvanced
« Reply #1 on: July 22, 2017, 12:44:33 PM »
Hello,

Every time I import the get rotation advanced action from the Ecosystem, I get the following error:

Assets/PlayMaker Custom Actions/__Internal/FsmStateActionAdvanced.cs(27,38): error CS0115: `HutongGames.PlayMaker.Actions.FsmStateActionAdvanced.OnPreprocess()' is marked as an override but no suitable method found to override

How do I resolve this error and get the get rotation advanced action to function?

I am using Unity version 4.6.1f1 and Playmaker version 1.7.7.f6.

Thank you,

Nog
« Last Edit: July 22, 2017, 01:05:22 PM by Nog »

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 2247
    • View Profile
    • jinxtergames
Re: GetRotationAdvanced
« Reply #2 on: July 23, 2017, 12:32:45 AM »
Hi,
I tested on u4.7.2 and playmaker 1.8.4.
it works on these version

I think you will need to update Playmaker to use this action because the method is not supported yet on your version (and many other things like arrays and stuff)

The unity version should be ok, playmaker 1.8.4 requires Unity 4.6 or higher.

I can help you upgrading if you want.

Before you do make a backup from your project.

the update on the asset store and import

Then there should popup a window to install and a window that will check for certain things that might conflict.
read carefully what it says and remove the folders when needed.
Then install.

if you get errors you can get back to me here :)

Nog

  • Playmaker Newbie
  • *
  • Posts: 47
    • View Profile
Re: GetRotationAdvanced
« Reply #3 on: July 24, 2017, 10:28:37 AM »
Hello djaydino,

Thank you for the suggestion. I will see about upgrading and get back to you. I guess I should just go ahead and download the latest version of Unity too.

Thank you for the help.

Nog

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 2247
    • View Profile
    • jinxtergames
Re: GetRotationAdvanced
« Reply #4 on: July 24, 2017, 10:53:08 AM »
Hi,
Be carefull upgrading from 4.6 directly to 2017.

before you install the latest unity, you can rename the unity folder to (for example)
Unity4.6 (in windows you can find in in the 'program files' folder)
and then when you install the new unity you can use both versions until you are ready to remove the old version.

Also make multiple backups from your projects before upgrading.

Nog

  • Playmaker Newbie
  • *
  • Posts: 47
    • View Profile
Re: GetRotationAdvanced
« Reply #5 on: July 24, 2017, 02:25:43 PM »
Hello djaydino,

This brings up an interesting question: currently, which version of Unity works with the least amount of issues with the current version of Playmaker? Should I play it safe and upgrade to Unity 4.7.2 or maybe Unity 5.6.2?

Thank you,

Nog

djaydino

  • Administrator
  • Hero Member
  • *****
  • Posts: 2247
    • View Profile
    • jinxtergames
Re: GetRotationAdvanced
« Reply #6 on: July 24, 2017, 08:47:28 PM »
hi,
Quote
which version of Unity works with the least amount of issues with the current version of Playmaker
1.8.4 is fine so far and has a lot more actions and works good up to 5.6.2
I just tried installing 1.8.4 on a new 4.7.2 project and there i have no errors.
if you get errors, commonly it is because of duplicate actions.
some actions that where on the EcoSystem are now included in the standard playmaker (for example several Animator actions)
and that's why you should read the 'update check' carefully so you can remove them already before you install.

Quote
Should I play it safe and upgrade to Unity 4.7.2 or maybe Unity 5.6.2?
It depends a bit on what other assets and custom actions that you are using.
But i would not go to u2017.1 yet as there is a bug that prevent you from using the Ecosystem.
Update to 4.7.2 should not give any issues
But i would suggest to try 5.6.2
i am not sure if it is better to upgrade Playmaker 1st or to upgrade unity 1st
so it would be good to have 2 version of unity 1st and multiple backups of your projects to try.
but i am leaning toward upgrading playmaker 1st and then unity :)

Nog

  • Playmaker Newbie
  • *
  • Posts: 47
    • View Profile
Re: GetRotationAdvanced
« Reply #7 on: July 27, 2017, 07:56:35 AM »
OK. I will give all this a try.

Thank you for your help.